﻿
<iframe id="divDocumentViewerFrame" width="100%" height="100%" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" >
</iframe>
<img id="divImage" style="display:none" />


<script type="text/javascript">
    // We are loaded dynamically after main SPA is loaded
    $(document).ready(function ()
    {
        openDocumentInFrameViewer();
    });

    function openDocumentInFrameViewer()
    {
        var sGoogleViewer = "https://docs.google.com/viewer?embedded=true&url=";
        var sMicrosoftViewer = "https://view.officeapps.live.com/op/view.aspx?src=";
        var URL = TriSysSDK.Controls.FileManager.DocumentPath;
        var bImage = false;

        var sSuffix = TriSysApex.Pages.FileManagerForm.FileSuffix(TriSysSDK.Controls.FileManager.DocumentPath);
        switch (sSuffix.toLowerCase())
        {
            case 'doc':
            case 'docx':
            case 'dot':
            case 'dotx':
            case 'xls':
            case 'xlsx':
                // Use Microsoft Viewer
                URL = sMicrosoftViewer + TriSysSDK.Controls.FileManager.DocumentPath;
                break;

            case 'rtf':
                // Use Google Viewer
                URL = sGoogleViewer + TriSysSDK.Controls.FileManager.DocumentPath;
                break;

            case 'jpg':
            case 'jpeg':
            case 'png':
            case 'bmp':
            case 'gif':
            case 'tif':
            case 'tiff':
            case 'pdf':
                // Image Viewer
                bImage = true;
                break;

            default:
                // We want the viewer to close after downloading document
                setTimeout(function () { TriSysApex.UI.ClosePopupMessage(); }, 1000);
                break;
        }

        if( bImage )
        {
            $('#divDocumentViewerFrame').hide();
            $('#divImage').show();
            $('#divImage').attr("src", URL);

            ResizeImage();

            var dialog = $("#divTriSysMessageBoxWindow").data("kendoWindow");
            dialog.bind("resize", ResizeImage);
        }
        else
        {
            //top.document.getElementById('divDocumentViewerFrame').setAttribute("src", URL);
            //$('#divDocumentViewerFrame').show();
            //alert(URL);
            TriSysApex.Logging.LogMessage(URL);
            $('#divDocumentViewerFrame').attr("src", URL);
        }
    }

    function ResizeImage()
    {
        var element = document.getElementById('divTriSysMessageBoxWindow');
        var lHeight = element.offsetHeight
        var lWidth = element.offsetWidth;
        $('#divImage').attr("height", lHeight);
        $('#divImage').attr("width", lWidth);
    }

</script>
